# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.gmc_to_bmc_task import GmcToBmcTask
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Upload Google Merchant products to Bing Merchant')
@click.option('-m', '--bing_merchant_id', required=True, type=str)
def gmc_to_bmc(bing_merchant_id):
  init_db()

  task = GmcToBmcTask(bing_merchant_id)
  task.run()


if __name__ == "__main__":
  gmc_to_bmc()
