# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.tools.spree.out_of_stock_exporter import SpreeOutOfStockExporter
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Export out of stock products')
@click.option('-s', '--store_code', required=True, type=str)
@click.option('-o', '--output_dir', required=True, type=str)
def export_out_of_stock(store_code, output_dir):
  init_db()

  exporter = SpreeOutOfStockExporter(store_code, output_dir)
  exporter.run()


if __name__ == '__main__':
  export_out_of_stock()
