# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.utils.usps_tracking_tracker import USPSTrackingTracker
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Update USPS trackings')
@click.option('-u', '--api_user_id', required=True, type=str)
@click.option('-d', '--days', type=int, default=30)
def track_usps(api_user_id, days=30):
  init_db()

  tracker = USPSTrackingTracker(api_user_id, days)
  tracker.run()


if __name__ == "__main__":
  track_usps()
